Your browser was unable to load all of the resources. They may have been blocked by your firewall, proxy or browser configuration.
Press Ctrl+F5 or Ctrl+Shift+R to have your browser try again.

Upgrading from 10.x to 13 #81

kmoulton71 ·

Hello,

I'm trying to Upgrade from 10.0.29 to 13.0.4 and am getting the following error - not sure if I have a path issue or am missing something else. Any advice would be appreciated.

2023-02-01 09:33:07,646 INFO Upgrading /opt/quickbuild-10.0.29...
2023-02-01 09:33:08,858 INFO >>> 2023-02-01 09:33:08,827 INFO Cleaning cached plugin libraries...
2023-02-01 09:33:08,861 INFO >>> 2023-02-01 09:33:08,861 INFO Cleaning temp directory...
2023-02-01 09:33:08,864 INFO >>> 2023-02-01 09:33:08,864 INFO Booting QuickBuild from '/opt/quickbuild-10.0.29'...
2023-02-01 09:33:08,864 INFO >>> 2023-02-01 09:33:08,864 INFO Starting framework...
2023-02-01 09:33:08,898 INFO >>> 2023-02-01 09:33:08,897 INFO Caching plugin libraries...
2023-02-01 09:33:09,082 ERROR >>> Exception in thread "main" java.lang.reflect.InvocationTargetException
2023-02-01 09:33:09,083 ERROR >>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2023-02-01 09:33:09,083 ERROR >>> at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:90)
2023-02-01 09:33:09,083 ERROR >>> at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:55)
2023-02-01 09:33:09,084 ERROR >>> at java.lang.reflect.Method.invoke(Method.java:508)
2023-02-01 09:33:09,084 ERROR >>> at com.pmease.quickbuild.bootstrap.Bootstrap.boot(Bootstrap.java:647)
2023-02-01 09:33:09,084 ERROR >>> at com.pmease.quickbuild.bootstrap.Bootstrap.main(Bootstrap.java:149)
2023-02-01 09:33:09,084 ERROR >>> Caused by: java.lang.RuntimeException: java.lang.reflect.InvocationTargetException
2023-02-01 09:33:09,093 ERROR >>> at com.pmease.quickbuild.bootstrap.BootstrapUtils.wrapAsUnchecked(BootstrapUtils.java:56)
2023-02-01 09:33:09,093 ERROR >>> at com.pmease.quickbuild.equinoxadapter.EquinoxAdapter.startup(EquinoxAdapter.java:61)
2023-02-01 09:33:09,093 ERROR >>> ... 6 more
2023-02-01 09:33:09,094 ERROR >>> Caused by: java.lang.reflect.InvocationTargetException
2023-02-01 09:33:09,094 ERROR >>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2023-02-01 09:33:09,094 ERROR >>> at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:90)
2023-02-01 09:33:09,095 ERROR >>> at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:55)
2023-02-01 09:33:09,095 ERROR >>> at java.lang.reflect.Method.invoke(Method.java:508)
2023-02-01 09:33:09,095 ERROR >>> at com.pmease.quickbuild.equinoxadapter.EquinoxAdapter.startup(EquinoxAdapter.java:59)
2023-02-01 09:33:09,096 ERROR >>> ... 6 more
2023-02-01 09:33:09,096 ERROR >>> Caused by: java.lang.NoClassDefFoundError: org.osgi.framework.BundleActivator
2023-02-01 09:33:09,097 ERROR >>> at java.lang.ClassLoader.defineClassImpl(Native Method)
2023-02-01 09:33:09,097 ERROR >>> at java.lang.ClassLoader.defineClassInternal(ClassLoader.java:397)
2023-02-01 09:33:09,097 ERROR >>> at java.lang.ClassLoader.defineClass(ClassLoader.java:358)
2023-02-01 09:33:09,098 ERROR >>> at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:154)
2023-02-01 09:33:09,099 ERROR >>> at java.net.URLClassLoader.defineClass(URLClassLoader.java:730)
2023-02-01 09:33:09,099 ERROR >>> at java.net.URLClassLoader.access$400(URLClassLoader.java:96)
2023-02-01 09:33:09,101 ERROR >>> at java.net.URLClassLoader$ClassFinder.run(URLClassLoader.java:1187)
2023-02-01 09:33:09,101 ERROR >>> at java.security.AccessController.doPrivileged(AccessController.java:783)
2023-02-01 09:33:09,102 ERROR >>> at java.net.URLClassLoader.findClass(URLClassLoader.java:605)
2023-02-01 09:33:09,102 ERROR >>> at java.lang.ClassLoader.loadClassHelper(ClassLoader.java:948)
2023-02-01 09:33:09,103 ERROR >>> at java.lang.ClassLoader.loadClass(ClassLoader.java:893)
2023-02-01 09:33:09,103 ERROR >>> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
2023-02-01 09:33:09,103 ERROR >>> at java.lang.ClassLoader.loadClassHelper(ClassLoader.java:937)
2023-02-01 09:33:09,104 ERROR >>> at java.lang.ClassLoader.loadClass(ClassLoader.java:893)
2023-02-01 09:33:09,104 ERROR >>> at java.lang.ClassLoader.loadClassHelper(ClassLoader.java:937)
2023-02-01 09:33:09,104 ERROR >>> at java.lang.ClassLoader.loadClass(ClassLoader.java:893)
2023-02-01 09:33:09,105 ERROR >>> at java.lang.ClassLoader.loadClassHelper(ClassLoader.java:937)
2023-02-01 09:33:09,105 ERROR >>> at java.lang.ClassLoader.loadClass(ClassLoader.java:893)
2023-02-01 09:33:09,105 ERROR >>> at java.lang.ClassLoader.loadClass(ClassLoader.java:876)
2023-02-01 09:33:09,106 ERROR >>> at com.pmease.quickbuild.Quickbuild.loadPluginModules(Quickbuild.java:555)
2023-02-01 09:33:09,106 ERROR >>> at com.pmease.quickbuild.Quickbuild.start(Quickbuild.java:278)
2023-02-01 09:33:09,106 ERROR >>> ... 11 more
2023-02-01 09:33:09,107 ERROR >>> Caused by: java.lang.ClassNotFoundException: org.osgi.framework.BundleActivator
2023-02-01 09:33:09,107 ERROR >>> at java.net.URLClassLoader.findClass(URLClassLoader.java:610)
2023-02-01 09:33:09,107 ERROR >>> at java.lang.ClassLoader.loadClassHelper(ClassLoader.java:948)
2023-02-01 09:33:09,108 ERROR >>> at java.lang.ClassLoader.loadClass(ClassLoader.java:893)
2023-02-01 09:33:09,108 ERROR >>> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
2023-02-01 09:33:09,108 ERROR >>> at java.lang.ClassLoader.loadClass(ClassLoader.java:876)
2023-02-01 09:33:09,108 ERROR >>> ... 32 more
2023-02-01 09:33:09,122 ERROR Unable to upgrade specified installation due to above error

  • replies 3
  • views 950
  • stars 0
robinshen ADMIN ·

Please edit property "wrapper.java.command" in conf/wrapper.conf under QB 13.0.4 installation directory to point to the JDK you are currently used in 10.0.29 and try again to see if it works.

kmoulton71 ·

thank you! I got past that (it was not the version - I started again and the upgrade went fine). However, Now I'm getting errors when I start the server itself because of the SQLServerDriver,

I read back for the upgrades to 10.0.x folks needed a mssql file in the plugin/site folder - do we need a similar file for 13.0.x?

WrapperStartStopApp Error: Encountered an error running start main: java.lang.reflect.InvocationTargetException
jvm 1 | java.lang.reflect.InvocationTargetExceptionWrapperStartStopApp Error:
jvm 1 | at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)WrapperStartStopApp Error:
jvm 1 | at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:90)WrapperStartStopApp Error:
jvm 1 | at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:55)WrapperStartStopApp Error:
jvm 1 | at java.lang.reflect.Method.invoke(Method.java:508)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.bootstrap.Bootstrap.boot(Bootstrap.java:655)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.bootstrap.Bootstrap.main(Bootstrap.java:126)WrapperStartStopApp Error:
jvm 1 | at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)WrapperStartStopApp Error:
jvm 1 | at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:90)WrapperStartStopApp Error:
jvm 1 | at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:55)WrapperStartStopApp Error:
jvm 1 | at java.lang.reflect.Method.invoke(Method.java:508)WrapperStartStopApp Error:
jvm 1 | at org.tanukisoftware.wrapper.WrapperStartStopApp.run(WrapperStartStopApp.java:429)WrapperStartStopApp Error:
jvm 1 | at java.lang.Thread.run(Thread.java:825)WrapperStartStopApp Error:
jvm 1 | Caused by: java.lang.RuntimeException: java.lang.reflect.InvocationTargetExceptionWrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.bootstrap.BootstrapUtils.wrapAsUnchecked(BootstrapUtils.java:56)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.equinoxadapter.EquinoxAdapter.startup(EquinoxAdapter.java:61)WrapperStartStopApp Error:
jvm 1 | ... 12 moreWrapperStartStopApp Error:
jvm 1 | Caused by: java.lang.reflect.InvocationTargetExceptionWrapperStartStopApp Error:
jvm 1 | at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)WrapperStartStopApp Error:
jvm 1 | at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:90)WrapperStartStopApp Error:
jvm 1 | at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:55)WrapperStartStopApp Error:
jvm 1 | at java.lang.reflect.Method.invoke(Method.java:508)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.equinoxadapter.EquinoxAdapter.startup(EquinoxAdapter.java:59)WrapperStartStopApp Error:
jvm 1 | ... 12 moreWrapperStartStopApp Error:
jvm 1 | Caused by: java.lang.RuntimeException: java.lang.ClassNotFoundException: com.microsoft.sqlserver.jdbc.SQLServerDriverWrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.bootstrap.BootstrapUtils.wrapAsUnchecked(BootstrapUtils.java:56)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.util.ExceptionUtils.wrapAsUnchecked(ExceptionUtils.java:82)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.util.DbUtils.getConnection(DbUtils.java:107)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.util.DbUtils.getDataVersion(DbUtils.java:135)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.Quickbuild.startServer(Quickbuild.java:897)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.Quickbuild.start(Quickbuild.java:385)WrapperStartStopApp Error:
jvm 1 | ... 17 moreWrapperStartStopApp Error:
jvm 1 | Caused by: java.lang.ClassNotFoundException: com.microsoft.sqlserver.jdbc.SQLServerDriverWrapperStartStopApp Error:
jvm 1 | at java.lang.Class.forNameImpl(Native Method)WrapperStartStopApp Error:
jvm 1 | at java.lang.Class.forName(Class.java:340)WrapperStartStopApp Error:
jvm 1 | at com.pmease.quickbuild.util.DbUtils.getConnection(DbUtils.java:100)WrapperStartStopApp Error:
jvm 1 | ... 20 moreWrapperStartStopApp Error:

robinshen ADMIN ·

Does this SQL server driver exists in directory "plugins/com.pmease.quickbuild.libs"? If not, please copy the jdbc jars there, and start again.